How to contribute to [pcr]?
2019-05-24 03:42 PM - theova

Status: fixed % Done: 100%
Priority: discussion

Assignee:

Category:

Description

| ask myself, how | can contribute to the [pcr]. As this may interest other people as well, | ask this question here and will document
the answers in the wiki.

If there are open packaging requests, what can | do help? Especially: How can | show, that | have appropriately checked the
licences?

Is there anything else which needs to be done for open packaging requests or the [pcr] in general?

Related issues:
Related to Packages - Freedom Issue #2323: [aurphan][aurpublish][aurvote] Rem... confirmed

History

#1 - 2019-05-24 03:56 PM - bill-auger

- Priority changed from bug to discussion

as i noted on the feature request issue for a user-curated PKGBUILD repository, it would be difficult to write a comprehensive procedure for auditing a
program's licensing - it would probably need a new article on that topic, and a new entry pointing to it under section #2 of this article:
https://wiki.parabola.nu/How_to_help; something like "Evaluating New Package Requests"

#2 - 2019-05-24 04:14 PM - bill-auger

- Related to Freedom Issue #2323: [aurphan][aurpublish][aurvote] Remove from repos added

#3 - 2019-05-24 08:00 PM - freemor

Contributing to PCR is a great idea the basic flow of that would look like

Learn to use makepkg

install and learn to use libretools

learn about making PKGBUILDs

Find a package you want to contribute

Check the license as completely as you can. Document what you find

Create or find and modify a working PKGBUILD

Build it with makepkg. Install it, test it.

If it works, Build it again in libretools, test it.

If that works, test that it builds for all 3 Architectures.

If all that works Ask yourself what is the maintenance load of this package.

Is it going to break often? How hard is it to fix? How often will it update and need rebuilding?

Am | willing to support this after Contributing it, Rebuilding the PKGBUILD and Patches, over and over?

If the answers to the above are favorable, or the maintenance load is low then submit the PKGBUILD/.patch files to either the
mailing list or attach them to a package request on the bug tracker along with the documentation you made about the licenses
Include a not on how willing you are to support this if needed.

Wait while the Devs look it over. Double checking all the things. Then hopefully enjoy the package when it appears.

The nice thing about the above is not only would you be contributing to PCR, You'd also be learning to be a maintainer. After a while of doing that
Other Devs might ask for your help rebuilding or updating a package.. Then might even invite you to start packaging stuff yourself.

#4 - 2019-05-24 08:04 PM - freemor

A lot of the details on the above are covered in the Package Maintainer Guide section of the wiki.

#5 - 2019-08-16 03:11 PM - theova

freemor: Thanks for your extensive list. It helped me a lot!

| have included it in the wiki.
https://labs.parabola.nu/issues/2
https://wiki.parabola.nu/How_to_help;
https://labs.parabola.nu/users/499
https://wiki.parabola.nu/How_to_become_a_Parabola_hacker

This issue can be closed for me.

#6 - 2019-08-17 12:28 PM - freemor
- % Done changed from 0 to 100

- Status changed from open to fixed
